@ECHO OFF
fastboot getvar version-bootloader
echo "Saving log to fastboot.log"
echo "flash gpt gpt_both0.bin..."
fastboot flash gpt gpt_both0.bin 2> fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit" 
  pause
  goto end
)

echo "flash bootloader bootloader.img..."
fastboot flash bootloader bootloader.img 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit"
  pause
  goto end
)

echo "reboot-bootloader..."
fastboot reboot-bootloader 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit"
  pause
  goto end
)

echo "wait for 10 seconds for bootloader to be ready..."
PING 127.0.0.1 -n 11

echo "format cache..."
fastboot format cache 2>>fastboot.log
findstr "usage FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "fastboot format failed, you may need to update fastboot tool"
  pause
  goto end
)

echo "format userdata..."
fastboot format userdata 2>>fastboot.log
findstr "usage FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "fastboot format failed, you may need to update fastboot tool"
  pause
  goto end
)

echo "flash radio radio.img..."
fastboot flash radio radio.img 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit" 
  pause
  goto end
)

echo "flash boot boot.img..."
fastboot flash boot boot.img 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit" 
  pause
  goto end
)

echo "flash recovery recovery.img..."
fastboot flash recovery recovery.img 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit" 
  pause
  goto end
)

echo "flash system system.img..."
fastboot flash system system.img 2>>fastboot.log
findstr "FAILED error" fastboot.log
IF %errorlevel% == 0  (
  echo "failed and exit" 
  pause
  goto end
)

fastboot reboot

:end
